﻿using System;
using MonoTouch.Foundation;
using System.Collections.Generic;

namespace IGChartView_DataPointHighlighting_Xamarin
{
	public class MyFakeData : NSObject
	{
		[Export("value")]
		public int myValue { get; set;}

		[Export("label")]
		public string myLabel { get; set; }

		[Export("nonCompleteData")]
		public bool NonCompleteData{ get; set; }

		public MyFakeData ()
		{
		}
		public static List<MyFakeData> MakeData()
		{
			List<MyFakeData> data = new List<MyFakeData> ();
			Random r = new Random ();
			for (int i = 0; i < 10; i++) {
			
				MyFakeData d = new MyFakeData ();
				d.myValue = (r.Next () % 9)+1;
				d.myLabel = "Item_" + i.ToString ();
				if (i == 3)
					d.NonCompleteData = true;

				data.Add (d);
			}
		
			return data;
		}
	}
}

